Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.java2
Class JDK2ClassLoader

`java.lang.Object
oracle.jbo.common.java2.JDK2ClassLoader`

All Implemented Interfaces:
  JBOClassLoader

public class JDK2ClassLoader
extends java.lang.Object
implements JBOClassLoader

Constructor Summary
`JDK2ClassLoader()`

Method Summary
`java.lang.ClassLoader` | `getCurrentClassLoader()`
`void` | `init()`
`java.lang.Class` | `loadClassForName(java.lang.String className)`
`java.io.InputStream` | `loadResourceAsStream(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDK2ClassLoader

    public JDK2ClassLoader()

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `JBOClassLoader`

### loadClassForName

    public java.lang.Class loadClassForName(java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  Specified by:
    `loadClassForName` in interface `JBOClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### loadResourceAsStream

    public java.io.InputStream loadResourceAsStream(java.lang.String name)

  Specified by:
    `loadResourceAsStream` in interface `JBOClassLoader`

### getCurrentClassLoader

    public java.lang.ClassLoader getCurrentClassLoader()

  Specified by:
    `getCurrentClassLoader` in interface `JBOClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.